//
//  XAPlugin.h
//  XAPlugin
//
//  Created by rosst on Fri Apr 13 2001.
//  Copyright (c) 2001 __CompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#include <QuickTime/QuickTime.h>

// ============================
// == Change "MP3Plugin" below to your plugin name.
// == Once you build the plugin, place it into the "X-Assist Plugins" folder
// == and everything should just load.
// == NOTE: you MUST use a unique name, otherwise the conflicting plugins
// ==       will NOT load.
// ============================

@interface MP3Plugin : NSObject {
    NSMenuItem*	mPluginMenuItem;
    
    // Your variables go here...
    long	mCurVolume;
    NSMenu*	mSubMenu;
    NSArray*	mPlaybackFolder;
    NSString*	mPlaybackFolderPath;
    NSTimer*	mPlaybackTimer;
    int		mPlaybackItem;
    
    // QT Stuff..
    NSMovie*	mCurNSMovie;
    Movie	mCurMovie;
}

- (id)init;
- (void)shutdownPlugin;

// =============================
// == Required Plugin Routine ==
// =============================

// == API VERSION 1 ROUTINES ==

// This routine is called to obtain a menu item to be inserted into the menu.
- (NSMenuItem*)getMenuItem;

// items below are for future use.
- (int)getPluginAPIVersion;
- (int)getMenuItemInsertLocation;

- (NSString*)getPluginDescription;	// return info & copyright etc.
- (void)doConfigurePlugin;		// put up config window...

// == API VERSION 2 ROUTINES ==


// =============================

// User defined routines.
- (IBAction)ChooseFolder:(id)sender;
- (void)UpdateMenus;
- (IBAction)PlayMeMenuSelect:(id)sender;
-(void)PlayAMovie:(NSString*)file;
-(void)TimerProc:(NSTimer*)timer;
-(void)Cleanup;
-(void)PlayMenuItemNumber:(int)itemNum;
- (IBAction)StopPlaying:(id)sender;

@end